bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#8879: 24.0.50; default value of default-justification considered uns


From: \=160t\=11bp\=e1n N\=11bmec
Subject: bug#8879: 24.0.50; default value of default-justification considered unsafe
Date: Thu, 16 Jun 2011 19:19:12 +0200

When visiting a file with a local value of `default-justification' (set in
the file or in .dir-locals.el), the warning about unsafe local variable
values pops up, no matter what the value is.

One would think there's nothing unsafe about the default (or any other
of the possible) value(s) of default-justification, and it's obviously
quite useful to set it file-locally.

Please add a safe value declaration* to Emacs so the warning doesn't
occur. This applies also to the 23 release (in case there is going to be
one).

* (put 'default-justification 'safe-local-variable 'symbolp)

Thanks,

  =160t=11bp=e1n





reply via email to

[Prev in Thread] Current Thread [Next in Thread]